Name:           libtirpc
Version:        1.2.6
Release:        4
Summary:        Transport-independent RPC library
License:        SISSL and BSD
URL:            http://git.linux-nfs.org/?p=steved/libtirpc.git;a=summary
Source0:        http://downloads.sourceforge.net/libtirpc/%{name}-%{version}.tar.bz2
Patch01:        0001-update-libtirpc-to-enable-tcp-port-listening.patch
Patch02:        backport-CVE-2021-46828.patch
Patch03:        backport-libtirpc-replace-array-with-list-for-per-fd-locks.patch
Patch04:        backport-Fix-memory-management-issues-of-fd-locks.patch
Patch05:        backport-Fix-use-after-free-accessing-the-error-number.patch
Patch06:        backport-Eliminate-deadlocks-in-connects-with-an-MT-environment.patch
Patch07:        backport-clnt_dg_freeres-uncleared-set-active-state-may-deadlock.patch
Patch08:        backport-thread-safe-clnt-destruction.patch

BuildRequires:  automake autoconf libtool pkgconfig krb5-devel

%description
Libtirpc is a Transport-Independent RPC library for Linux

%package        devel
Summary:        Development files for the %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains development files for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

find . -name "*.orig" | xargs rm -f

%build
sh autogen.sh
autoreconf -fisv
%configure
%make_build

%install
mkdir -p %{buildroot}/etc
mkdir -p %{buildroot}/%{_lib}
mkdir -p %{buildroot}%{_libdir}/pkgconfig
%make_install libdir=/%{_lib} pkgconfigdir=%{_libdir}/pkgconfig
%delete_la

mv %{buildroot}%{_mandir}/man3 %{buildroot}%{_mandir}/man3t

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc AUTHORS
%license COPYING
/%{_lib}/*.so.*
%config(noreplace)%{_sysconfdir}/netconfig
%config(noreplace)%{_sysconfdir}/bindresvport.blacklist

%files          devel
%defattr(-,root,root)
%{!?_licensedir:%global license %%doc}
/%{_lib}/*.a
/%{_lib}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/tirpc/*

%files          help
%defattr(-,root,root)
%doc ChangeLog NEWS README
%{_mandir}/*/*

%changelog
* Wed Nov 16 2022 gaihuiying <eaglegai@163.com> - 1.2.6-4
- backport to fix "mount.nfs: Cannot allocate memory" error

* Tue Oct 11 2022 zhangshaoning <zhangshaoning@uniontech.com> - 1.2.6-3
- Fix obsoletes bug when both new and old versions existed

* Fri Jul 22 2022 gaihuiying <eaglegai@163.com> - 1.2.6-2
- Type:CVE
- ID:CVE-2021-46828
- SUG:NA
- DESC:fix CVE-2021-46828

* Mon Apr 20 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.2.6-1
- update to 1.2.6

* Mon Mar 23 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.1.4-2
- Remove devel in iso

* Thu Aug 29 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.4-1
- Package init
